
/* parte geral e presets */
:root{
    --color-primary: #4F6EF7;
    --color-secundary: #22C55E;
    --color-bg: #F1F5F9;
    --color-text: #1E293B;
    --color-black: #000;
    --color-white:#FFFFFF;
    --color-red: #ff4d4d;
    --border-site: 0.2rem solid #a3f7c2f3; 
}
*{
    margin: 0px;
    padding: 0px;
    font-size: 15px;
    color: #1E293B;
}
body{
    background-color: var(--color-bg);
    font-family: 'Segoe UI', Arial, sans-serif;
    color: var(--color-text);
}

.page{  /* Padronizar medidas do site*/
    max-width: 1100px;
    margin: 0 auto;
    padding: 20px;
}
/* Cabeçalho e sumário */
.sumario{
    background-color: var(--color-white);
    padding: 5px;
    border-radius: 10px;
    border: var(--border-site);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.sumariolink{
    color: var(--color-text);
    font-size: 18px;
    text-align: center;
    text-decoration: none;
}
.title{
font-size: 30px;
color: var(--color-white);
background-color: var(--color-primary);
text-align: center;
padding: 1.5rem;
border-bottom: var(--border-site)
}

.introdução{
    display: flex;
    flex-direction: row;
    text-align: baseline;
    justify-content: space-between;
    padding-bottom: 1.4rem;
}
.introdução h2{
    color: var(--color-secundary);
    word-spacing: 2px;
    font-size: 35px;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

.introdução p{
    color: var(--color-text);
    padding-right: 17rem;
    margin-top: 21px;
    text-decoration: solid;
    font-size: 19px;
}

/* Card de login */
.cardlogin{
    background-color: var(--color-white);
    padding: 15px;
    padding-top: 1rem;
    margin-top: 20px;
    border-radius: 10px;
    border: var(--border-site);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.cardlogin label{
    font-size: 18px;
    color: var(--color-primary);
    padding-top: 2rem;
}

.cardlogin input{
    color: var(--color-black);
    text-indent: 5px;
    background-color: transparent;
    border: var(--border-site);
    border-radius: 10px;
    width: 200px;
    margin-top: 1.5rem;
}

.cardlogin button{
    color: var(--color-white);
    background-color: var(--color-primary);
    font-size: 20px;
    width: 500px 500px;
    padding: 0.5rem;
    margin-top: 15px;
    cursor: pointer;
}

.mensagemErro{
    text-align: center;
    font-size: 17px;
    padding: 0.1rem;
    margin-top: 1rem;
}

/* Cards de informações */
.conjuntos{
    display: flex;
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap; /* Quebra linha automaticamente*/
}

.statisc {
    color: var(--color-secundary);
    padding: 0.1rem;
}
.card{
    background-color: var(--color-white);
    padding: 15px;
    margin-top: 20px;
    border-radius: 10px;
    border: var(--border-site);
    width: 450px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.card-title{
    text-align: center;
    word-spacing: 0.1rem;
    color: var(--color-primary);
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 10px;
    padding: 0.5rem;
}

.card strong{
    color:var(--color-secundary);
    font-size: 20px;

}

/*aba de checkbox*/
input[type="checkbox"] {
    accent-color: var(--color-secundary);
    cursor: pointer;
}

li.tarefa{
    color: var(--color-black);
    font-size: 18px;
    margin-top: 3px;
}

.checkbox{
    margin-right: 3px;
}

.tarefaConcluida {
    text-decoration: line-through;
    opacity: 0.6;
}

/* Card de adicionar tarefas */
.areacard{
    background-color: var(--color-white);
    padding: 50px;
    border-radius: 15px;
    margin-top: 20px;
    border: var(--border-site);
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.15);
}

.areacard label{
    font-size: 18px;
    color: var(--color-primary);
    padding-top: 8rem;
}

.areacard input{
    color: var(--color-black);
    background-color: transparent;
    border: var(--border-site);
    border-radius: 10px;
    width: 500px;
    margin-top: 2rem ;
    margin-left: 2rem;
    text-indent: 5px;
}

.areacard select{
    color: var(--color-black);
    background-color: transparent;
    border: var(--border-site);
    border-radius: 10px;
    width: 500px;
    margin-top: 2rem ;
    margin-left: 2rem;
    text-indent: 5px;
}

.adicionar{
    color: var(--color-white);
    background-color: var(--color-primary);
    font-size: 20px;
    width: 700px 700px;
    padding: 1rem;
    margin-top: 30px;
    cursor: pointer;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.limpar{
    color: var(--color-white);
    background-color: var(--color-red);
    font-size: 20px;
    width: 700px 700px;
    padding: 1rem;
    margin-top: 30px;
    cursor: pointer;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}


.mensagemErro2{
    text-align: center;
    font-size: 20px;
    padding: 0.1rem;
    margin-top: 1.8rem;
}

.botaoEditar{
    size: 7px;
    margin: 0.3rem;
    font-size: 13px;
    background-color: var(--color-secundary);
    color: var(--color-white);
    cursor: pointer;
    border-radius: 3px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.botaoExcluir{
    size: 7px;
    margin: 0.3rem;
    font-size: 13px;
    background-color: var(--color-red);
    color: var(--color-white);
    cursor: pointer;
    border-radius: 3px;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

/* sumário final (rodapé) */
.sumariofim{
    background-color: var(--color-white);
    margin-top: 20px;
    border: var(--border-site);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
}

.card-title-fim{
    text-align: center;
    word-spacing: 0.1rem;
    color: var(--color-primary);
    font-size: 24px;
    font-weight: 600;
    padding: 0.5rem;
}
.sumariolinkfim{
    color: var(--color-text);
    font-size: 18px;
    text-align: center;
    padding: 0.5rem;
    text-decoration: none;
}

